Package ghidra.util.layout

# Class RowColumnLayout

java.lang.Object
ghidra.util.layout.RowColumnLayout

All Implemented Interfaces:
  `LayoutManager`

public class RowColumnLayout extends Object implements LayoutManager
This layout arranges components in rows, putting as many components as possible on a row and using as many rows as necessary. All components are sized the same, the largest width and the largest height of all components. The components prefer to be layout as close to a square as possible.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COLUMN`
  `static final int`
  `LEFT_TO_RIGHT`
  `static final int`
  `ROW`
  `static final int`
  `TOP_TO_BOTTOM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowColumnLayout(int hgap, int vgap, int orientation, int maxSize)`
  Constructs a new RowColumnLayout

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String name, Component comp)`
  `void`
  `layoutContainer(Container parent)`
  `Dimension`
  `minimumLayoutSize(Container parent)`
  `Dimension`
  `preferredLayoutSize(Container parent)`
  `void`
  `removeLayoutComponent(Component comp)`
  `void`
  `setMaxSize(int maxSize)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROW

    public static final int ROW
    See Also:
      - Constant Field Values

  - ### COLUMN

    public static final int COLUMN
    See Also:
      - Constant Field Values

  - ### LEFT_TO_RIGHT

    public static final int LEFT_TO_RIGHT
    See Also:
      - Constant Field Values

  - ### TOP_TO_BOTTOM

    public static final int TOP_TO_BOTTOM
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RowColumnLayout

    public RowColumnLayout(int hgap, int vgap, int orientation, int maxSize)
    Constructs a new RowColumnLayout
    Parameters:
      `hgap` - the gap (in pixels) between columns
      `vgap` - the gap (in pixels) between rows
      `orientation` - either ROW or COLUMN. If ROW, components are layed out in rows up to prefered width, using as many rows a necessary. If COLUMN, components are layed out in columns up to the prefered height, using as many columns as necessary.
      `maxSize` -

- ## Method Details

  - ### addLayoutComponent

    public void addLayoutComponent(String name, Component comp)
    Specified by:
      `addLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.addLayoutComponent(String, Component)`

  - ### removeLayoutComponent

    public void removeLayoutComponent(Component comp)
    Specified by:
      `removeLayoutComponent` in interface `LayoutManager`
    See Also:
      - `LayoutManager.removeLayoutComponent(Component)`

  - ### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)
    Specified by:
      `preferredLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.preferredLayoutSize(Container)`

  - ### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)
    Specified by:
      `minimumLayoutSize` in interface `LayoutManager`
    See Also:
      - `LayoutManager.minimumLayoutSize(Container)`

  - ### layoutContainer

    public void layoutContainer(Container parent)
    Specified by:
      `layoutContainer` in interface `LayoutManager`
    See Also:
      - `LayoutManager.layoutContainer(Container)`

  - ### setMaxSize

    public void setMaxSize(int maxSize)
    Parameters:
      `maxSize` -